Loading...
Searching...
No Matches
etl::private_crc::crc_partial_table_entry< TAccumulator, Accumulator_Bits, Polynomial, Reflect, Entry > Class Template Reference

CRC Partial Table Entry. More...

`#include <crc_implementation.h>`

## Static Public Attributes

static ETL_CONSTANT TAccumulator | value

## Detailed Description

template<typename TAccumulator, size_t Accumulator_Bits, TAccumulator Polynomial, bool Reflect, TAccumulator Entry>
class etl::private_crc::crc_partial_table_entry< TAccumulator, Accumulator_Bits, Polynomial, Reflect, Entry >

CRC Partial Table Entry.

## Member Data Documentation

## value

template<typename TAccumulator, size_t Accumulator_Bits, TAccumulator Polynomial, bool Reflect, TAccumulator Entry>

ETL_CONSTANT TAccumulator etl::private_crc::crc_partial_table_entry< TAccumulator, Accumulator_Bits, Polynomial, Reflect, Entry >::value

static

Initial value:
=
Reflect ? TAccumulator(Do_Poly ? (Entry >> 1U) ^ etl::reverse_bits_const<TAccumulator, Polynomial>::value : (Entry >> 1U))
: TAccumulator(Do_Poly ? (Entry << 1U) ^ Polynomial : (Entry << 1U))
etl::reverse_bits_const
Definition binary.h:483

The documentation for this class was generated from the following file:

- include/etl/private/crc_implementation.h